aboutsummaryrefslogtreecommitdiffstats
path: root/tools/xm-test/runtest.sh
diff options
context:
space:
mode:
authordan@elm3b196.beaverton.ibm.com <dan@elm3b196.beaverton.ibm.com>2005-11-25 15:17:37 +0000
committerdan@elm3b196.beaverton.ibm.com <dan@elm3b196.beaverton.ibm.com>2005-11-25 15:17:37 +0000
commite0f31705c8f8fb7196a0329b57aebd4f9786c30b (patch)
treed95925f1921699051e2844b4c6a60edf6cf9aa0c /tools/xm-test/runtest.sh
parentcbc8a361c0dcba3d4617c28fb8196ec9eef1dc2d (diff)
downloadxen-e0f31705c8f8fb7196a0329b57aebd4f9786c30b.tar.gz
xen-e0f31705c8f8fb7196a0329b57aebd4f9786c30b.tar.bz2
xen-e0f31705c8f8fb7196a0329b57aebd4f9786c30b.zip
Add sanity checks that let us know if there are any problems before
we run the entire suite
Diffstat (limited to 'tools/xm-test/runtest.sh')
-rwxr-xr-xtools/xm-test/runtest.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/tools/xm-test/runtest.sh b/tools/xm-test/runtest.sh
index f366a48c74..fc124360ea 100755
--- a/tools/xm-test/runtest.sh
+++ b/tools/xm-test/runtest.sh
@@ -86,6 +86,15 @@ runnable_tests() {
exit 1
fi
+ # Run a few sample tests to make sure things are working
+ # before we take the plunge
+ echo "Running sanity checks..."
+ make -C tests/_sanity check 2>&1 | grep REASON
+ if [ $? -eq 0 ]; then
+ echo "Sanity checks failed"
+ exit 1
+ fi
+
}
# Get contact info if needed
@@ -119,7 +128,7 @@ get_contact_info() {
# Run the tests
run_tests() {
output=$1
- echo Running tests...
+ echo Running real tests...
TEST_VERBOSE=1 make -k check > $output 2>&1
}